- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# PtexPainting Class Reference

Search for all occurrences

## Detailed Description

This class is used to quick setup Ptex Painting for meshes.

First you need to create a UVGeneratorNode for each of your mesh and set face dimensions properly, then call PtexPainting::Setup() to get Ptex Painting ready meshes.

UVGeneratorNode* pUVGen = myMesh->ChildByClass<UVGeneratorNode>(true);

Optional: Set the texture resolution of face 1 to 32 x 32. pUVGen->SetFaceSize( 1, 32, 32 );

QVector<mudbox::Mesh *> aMeshes; aMeshes.push_back( myMesh ); PtexPainting::Setup( aMeshes );

Definition at line 124 of file UVGeneratorInterface.h.

`#include <UVGeneratorInterface.h>`

Inheritance diagram for PtexPainting:
[legend]

List of all members.

## Public Member Functions
| Q_DECLARE_TR_FUNCTIONS (PtexPainting)
## Static Public Member Functions
static void | Setup (QVector< mudbox::Mesh * > pMeshes, bool bTransferPaintLayers=true)
| Setup meshes for Ptex painting.
## Public Attributes
| DECLARE_CLASS

## Member Function Documentation

Q_DECLARE_TR_FUNCTIONS | ( | PtexPainting |  | ) |

Search for all occurrences

static void Setup | ( | QVector< mudbox::Mesh * > | pMeshes,
|  | bool | bTransferPaintLayers = `true`
| ) |  | `[static]`

Search for all occurrences

Setup meshes for Ptex painting.

## Member Data Documentation

DECLARE_CLASS

Search for all occurrences

Reimplemented from TreeNode.

Definition at line 128 of file UVGeneratorInterface.h.

The documentation for this class was generated from the following file:

- UVlessPainting/UVGeneratorInterface.h

PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting
PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting PtexPainting